diff --git a/sys/crypto/sha2/sha2.c b/sys/crypto/sha2/sha2.c
index c8507ab..e53edd3 100644
--- a/sys/crypto/sha2/sha2.c
+++ b/sys/crypto/sha2/sha2.c
@@ -319,7 +319,7 @@ static const char *sha2_hex_digits = "0123456789abcdef";
 
 /*** SHA-256: *********************************************************/
 void SHA256_Init(SHA256_CTX* context) {
-	if (context == (SHA256_CTX*)0) {
+	if (context == NULL) {
 		return;
 	}
 	bcopy(sha256_initial_hash_value, context->state, SHA256_DIGEST_LENGTH);
@@ -511,7 +511,7 @@ void SHA256_Update(SHA256_CTX* context, const sha2_byte *data, size_t len) {
 	}
 
 	/* Sanity check: */
-	assert(context != (SHA256_CTX*)0 && data != (sha2_byte*)0);
+	assert(context != NULL && data != NULL);
 
 	usedspace = (context->bitcount >> 3) % SHA256_BLOCK_LENGTH;
 	if (usedspace > 0) {
@@ -555,10 +555,10 @@ void SHA256_Final(sha2_byte digest[], SHA256_CTX* context) {
 	unsigned int	usedspace;
 
 	/* Sanity check: */
-	assert(context != (SHA256_CTX*)0);
+	assert(context != NULL);
 
 	/* If no digest buffer is passed, we don't bother doing this: */
-	if (digest != (sha2_byte*)0) {
+	if (digest != NULL) {
 		usedspace = (context->bitcount >> 3) % SHA256_BLOCK_LENGTH;
 #if BYTE_ORDER == LITTLE_ENDIAN
 		/* Convert FROM host byte order */
@@ -618,9 +618,9 @@ char *SHA256_End(SHA256_CTX* context, char buffer[]) {
 	int		i;
 
 	/* Sanity check: */
-	assert(context != (SHA256_CTX*)0);
+	assert(context != NULL);
 
-	if (buffer != (char*)0) {
+	if (buffer != NULL) {
 		SHA256_Final(digest, context);
 
 		for (i = 0; i < SHA256_DIGEST_LENGTH; i++) {
@@ -647,7 +647,7 @@ char* SHA256_Data(const sha2_byte* data, size_t len, char digest[SHA256_DIGEST_S
 
 /*** SHA-512: *********************************************************/
 void SHA512_Init(SHA512_CTX* context) {
-	if (context == (SHA512_CTX*)0) {
+	if (context == NULL) {
 		return;
 	}
 	bcopy(sha512_initial_hash_value, context->state, SHA512_DIGEST_LENGTH);
@@ -833,7 +833,7 @@ void SHA512_Update(SHA512_CTX* context, const sha2_byte *data, size_t len) {
 	}
 
 	/* Sanity check: */
-	assert(context != (SHA512_CTX*)0 && data != (sha2_byte*)0);
+	assert(context != NULL && data != NULL);
 
 	usedspace = (context->bitcount[0] >> 3) % SHA512_BLOCK_LENGTH;
 	if (usedspace > 0) {
@@ -917,10 +917,10 @@ void SHA512_Final(sha2_byte digest[], SHA512_CTX* context) {
 	sha2_word64	*d = (sha2_word64*)digest;
 
 	/* Sanity check: */
-	assert(context != (SHA512_CTX*)0);
+	assert(context != NULL);
 
 	/* If no digest buffer is passed, we don't bother doing this: */
-	if (digest != (sha2_byte*)0) {
+	if (digest != NULL) {
 		SHA512_Last(context);
 
 		/* Save the hash data for output: */
@@ -947,9 +947,9 @@ char *SHA512_End(SHA512_CTX* context, char buffer[]) {
 	int		i;
 
 	/* Sanity check: */
-	assert(context != (SHA512_CTX*)0);
+	assert(context != NULL);
 
-	if (buffer != (char*)0) {
+	if (buffer != NULL) {
 		SHA512_Final(digest, context);
 
 		for (i = 0; i < SHA512_DIGEST_LENGTH; i++) {
@@ -976,7 +976,7 @@ char* SHA512_Data(const sha2_byte* data, size_t len, char digest[SHA512_DIGEST_S
 
 /*** SHA-384: *********************************************************/
 void SHA384_Init(SHA384_CTX* context) {
-	if (context == (SHA384_CTX*)0) {
+	if (context == NULL) {
 		return;
 	}
 	bcopy(sha384_initial_hash_value, context->state, SHA512_DIGEST_LENGTH);
@@ -992,10 +992,10 @@ void SHA384_Final(sha2_byte digest[], SHA384_CTX* context) {
 	sha2_word64	*d = (sha2_word64*)digest;
 
 	/* Sanity check: */
-	assert(context != (SHA384_CTX*)0);
+	assert(context != NULL);
 
 	/* If no digest buffer is passed, we don't bother doing this: */
-	if (digest != (sha2_byte*)0) {
+	if (digest != NULL) {
 		SHA512_Last((SHA512_CTX*)context);
 
 		/* Save the hash data for output: */
@@ -1022,9 +1022,9 @@ char *SHA384_End(SHA384_CTX* context, char buffer[]) {
 	int		i;
 
 	/* Sanity check: */
-	assert(context != (SHA384_CTX*)0);
+	assert(context != NULL);
 
-	if (buffer != (char*)0) {
+	if (buffer != NULL) {
 		SHA384_Final(digest, context);
 
 		for (i = 0; i < SHA384_DIGEST_LENGTH; i++) {
diff --git a/sys/ddb/db_command.c b/sys/ddb/db_command.c
index 8425c91..becb3b2 100644
--- a/sys/ddb/db_command.c
+++ b/sys/ddb/db_command.c
@@ -238,7 +238,7 @@ db_command(struct command **last_cmdp, struct command *cmd_table,
 	    modif[0] = '\0';
 	}
 	else if (t == tEXCL) {
-	    db_fncall((db_expr_t)0, (boolean_t)0, (db_expr_t)0, (char *)0);
+	    db_fncall((db_expr_t)0, (boolean_t)0, (db_expr_t)0, NULL);
 	    return;
 	}
 	else if (t != tIDENT) {
@@ -373,7 +373,7 @@ static struct command db_show_all_cmds[] = {
 	{ "threads",	db_show_all_threads,	0,	0 },
 #endif
 	{ "procs",	db_ps,			0,	0 },
-	{ (char *)0 }
+	{ NULL }
 };
 
 static struct command db_show_cmds[] = {
@@ -386,7 +386,7 @@ static struct command db_show_cmds[] = {
 #if 0
 	{ "port",	ipc_port_print,		0,	0 },
 #endif
-	{ (char *)0, }
+	{ NULL, }
 };
 
 static struct command db_command_table[] = {
@@ -419,7 +419,7 @@ static struct command db_command_table[] = {
 	{ "ps",		db_ps,			0,	0 },
 	{ "gdb",	db_gdb,			0,	0 },
 	{ "reset",	db_reset,		0,	0 },
-	{ (char *)0, }
+	{ NULL, }
 };
 
 static struct command	*db_last_command = 0;
diff --git a/sys/ddb/db_input.c b/sys/ddb/db_input.c
index fe48a62..ca27e93 100644
--- a/sys/ddb/db_input.c
+++ b/sys/ddb/db_input.c
@@ -343,14 +343,14 @@ db_check_interrupt(void)
 		return;
 
 	    case CTRL('c'):
-		db_error((char *)0);
+		db_error(NULL);
 		/*NOTREACHED*/
 
 	    case CTRL('s'):
 		do {
 		    c = cnmaygetc();
 		    if (c == CTRL('c'))
-			db_error((char *)0);
+			db_error(NULL);
 		} while (c != CTRL('q'));
 		break;
 
diff --git a/sys/ddb/db_variables.c b/sys/ddb/db_variables.c
index f886901..04c6a88 100644
--- a/sys/ddb/db_variables.c
+++ b/sys/ddb/db_variables.c
@@ -47,10 +47,10 @@ static int	db_set_variable (db_expr_t value);
 #endif
 
 static struct db_variable db_vars[] = {
-	{ "radix",	&db_radix, FCN_NULL },
-	{ "maxoff",	&db_maxoff, FCN_NULL },
-	{ "maxwidth",	&db_max_width, FCN_NULL },
-	{ "tabstops",	&db_tab_stop_width, FCN_NULL },
+	{ "radix",	&db_radix, NULL },
+	{ "maxoff",	&db_maxoff, NULL },
+	{ "maxwidth",	&db_max_width, NULL },
+	{ "tabstops",	&db_tab_stop_width, NULL },
 };
 static struct db_variable *db_evars = 
 		db_vars + sizeof(db_vars)/sizeof(db_vars[0]);
@@ -113,7 +113,7 @@ db_read_variable(struct db_variable *vp, db_expr_t *valuep)
 {
 	db_varfcn_t	*func = vp->fcn;
 
-	if (func == FCN_NULL)
+	if (func == NULL)
 	    *valuep = *(vp->valuep);
 	else
 	    (*func)(vp, valuep, DB_VAR_GET);
@@ -124,7 +124,7 @@ db_write_variable(struct db_variable *vp, db_expr_t *valuep)
 {
 	db_varfcn_t	*func = vp->fcn;
 
-	if (func == FCN_NULL)
+	if (func == NULL)
 	    *(vp->valuep) = *valuep;
 	else
 	    (*func)(vp, valuep, DB_VAR_SET);
diff --git a/sys/ddb/db_variables.h b/sys/ddb/db_variables.h
index 4af6017..808e7e2 100644
--- a/sys/ddb/db_variables.h
+++ b/sys/ddb/db_variables.h
@@ -56,8 +56,6 @@ struct db_variable {
 #define DB_VAR_GET	0
 #define DB_VAR_SET	1
 
-#define	FCN_NULL	((db_varfcn_t *)0)
-
 #ifdef _KERNEL
 
 extern struct db_variable	db_regs[];	/* machine registers */
diff --git a/sys/dev/disk/nata/ata-raid.c b/sys/dev/disk/nata/ata-raid.c
index 36b0f5c..1d50afe 100644
--- a/sys/dev/disk/nata/ata-raid.c
+++ b/sys/dev/disk/nata/ata-raid.c
@@ -261,7 +261,7 @@ ata_raid_flush(struct ar_softc *rdp, struct bio *bp)
     int disk, error;
 
     error = 0;
-    bp->bio_driver_info = (void *)0;
+    bp->bio_driver_info = NULL;
 
     for (disk = 0; disk < rdp->total_disks; disk++) {
 	if ((dev = rdp->disks[disk].dev) != NULL)
diff --git a/sys/dev/netif/sr/if_sr.c b/sys/dev/netif/sr/if_sr.c
index 3ac584f..5ad77fb 100644
--- a/sys/dev/netif/sr/if_sr.c
+++ b/sys/dev/netif/sr/if_sr.c
@@ -2459,7 +2459,7 @@ sr_modemck(void *arg)
 	for (card = 0; card < NSR; card++) {
 		hc = &sr_hardc[card];
 
-		if (hc->sc == (void *)0)
+		if (hc->sc == NULL)
 			continue;
 
 		Card[cards++] = hc;
diff --git a/sys/dev/netif/wl/if_wl.c b/sys/dev/netif/wl/if_wl.c
index 985f297..cbb00f1 100644
--- a/sys/dev/netif/wl/if_wl.c
+++ b/sys/dev/netif/wl/if_wl.c
@@ -1139,7 +1139,7 @@ wlread(struct wl_softc *sc, u_short fd_p)
 	if (!(bytes_in_mbuf -= bytes)) {
 	    MGET(tm->m_next, MB_DONTWAIT, MT_DATA);
 	    tm = tm->m_next;
-	    if (tm == (struct mbuf *)0) {
+	    if (tm == NULL) {
 		m_freem(m);
 		if_printf(ifp, "read(): No mbuf nth\n");
 		if (wlhwrst(sc) != TRUE) {
@@ -1843,7 +1843,7 @@ wlxmt(struct wl_softc *sc, struct mbuf *m)
 	    outw(PIOR0(base), tbd_p);  /* address of act_count */
 	    outw(PIOP0(base), inw(PIOP0(base)) + count);
 	    xmtdata_p += len;
-	    if ((tm_p = tm_p->m_next) == (struct mbuf *)0)
+	    if ((tm_p = tm_p->m_next) == NULL)
 		break;
 	    if (count & 1) {
 		/* go to the next descriptor */
@@ -1870,7 +1870,7 @@ wlxmt(struct wl_softc *sc, struct mbuf *m)
 		    continue;
 		}
 	    }
-	} else if ((tm_p = tm_p->m_next) == (struct mbuf *)0)
+	} else if ((tm_p = tm_p->m_next) == NULL)
 	    break;
 	count = tm_p->m_len;
 	mb_p = mtod(tm_p, u_char *);
@@ -2327,8 +2327,8 @@ wlhdwsleaze(u_short *countp, u_char **mb_pp, struct mbuf **tm_pp)
 	count += tm_p->m_len;
 	if (tm_p->m_len & 1)
 	    break;
-    } while ((tm_p = tm_p->m_next) != (struct mbuf *)0);
-    if ( (tm_p == (struct mbuf *)0) ||
+    } while ((tm_p = tm_p->m_next) != NULL);
+    if ( (tm_p == NULL) ||
 	 count > HDW_THRESHOLD) {
 	*countp = (*tm_pp)->m_len;
 	*mb_pp = mtod((*tm_pp), u_char *);
@@ -2346,7 +2346,7 @@ wlhdwsleaze(u_short *countp, u_char **mb_pp, struct mbuf **tm_pp)
 	if (count > HDW_THRESHOLD)
 			break;
 	cp += len;
-	if (tm_p->m_next == (struct mbuf *)0)
+	if (tm_p->m_next == NULL)
 	    break;
 	tm_p = tm_p->m_next;
     }
@@ -2368,7 +2368,7 @@ wlsftwsleaze(u_short *countp, u_char **mb_pp, struct mbuf **tm_pp)
 	bcopy(mtod(tm_p, u_char *), cp, len = tm_p->m_len);
 	count += len;
 	cp += len;
-	if (tm_p->m_next == (struct mbuf *)0)
+	if (tm_p->m_next == NULL)
 	    break;
 	tm_p = tm_p->m_next;
     }
diff --git a/sys/dev/serial/rp/rpreg.h b/sys/dev/serial/rp/rpreg.h
index e3673b5..1c8dc50 100644
--- a/sys/dev/serial/rp/rpreg.h
+++ b/sys/dev/serial/rp/rpreg.h
@@ -141,7 +141,6 @@ typedef unsigned int DWordIO_t;
 
 #define NULLDEV -1		    /* identifies non-existant device */
 #define NULLCTL -1		    /* identifies non-existant controller */
-#define NULLCTLPTR (CONTROLLER_T *)0 /* identifies non-existant controller */
 #define NULLAIOP -1		    /* identifies non-existant AIOP */
 #define NULLCHAN -1		    /* identifies non-existant channel */
 
@@ -786,7 +785,7 @@ Comments: This function must be called once for every channel structure
 */
 #define sInitChanDefaults(ChP) \
 { \
-   (ChP)->CtlP = NULLCTLPTR; \
+   (ChP)->CtlP = NULL; \
    (ChP)->AiopNum = NULLAIOP; \
    (ChP)->ChanID = AIOPID_NULL; \
    (ChP)->ChanNum = NULLCHAN; \
diff --git a/sys/dev/serial/stl/stallion.c b/sys/dev/serial/stl/stallion.c
index 71a2da0..06e5111 100644
--- a/sys/dev/serial/stl/stallion.c
+++ b/sys/dev/serial/stl/stallion.c
@@ -1781,7 +1781,7 @@ void stlintr(void *arg)
 
 static void stlpciintr(void *arg)
 {
-	stlintr((void *)0);
+	stlintr(NULL);
 }
 
 #endif
diff --git a/sys/dev/video/meteor/meteor.c b/sys/dev/video/meteor/meteor.c
index 2fb6c5a..a475f13 100644
--- a/sys/dev/video/meteor/meteor.c
+++ b/sys/dev/video/meteor/meteor.c
@@ -524,7 +524,7 @@ met_probe (pcici_t tag, pcidi_t type)
 	case SAA7116_PHILIPS_ID:	/* meteor */
 		return("Philips SAA 7116");
 	};
-	return ((char *)0);
+	return (NULL);
 }
 
 	/* interrupt handling routine 
@@ -1177,7 +1177,7 @@ meteor_open(struct dev_open_args *ap)
 	mtr->frames_captured = 0;
 	mtr->even_fields_captured = 0;
 	mtr->odd_fields_captured = 0;
-	mtr->proc = (struct proc *)0;
+	mtr->proc = NULL;
 	set_fps(mtr, 30);
 #ifdef METEOR_TEST_VIDEO
 	mtr->video.addr = 0;
@@ -1216,7 +1216,7 @@ meteor_close(struct dev_close_args *ap)
 	 */
 	mtr->base->cap_cntl = 0x8ff0;
 	mtr->flags &= ~(METEOR_CAP_MASK|METEOR_WANT_MASK);
-	mtr->proc = (struct proc *)0;
+	mtr->proc = NULL;
 
 #ifdef METEOR_DEALLOC_PAGES
 	if (mtr->bigbuf != NULL) {
@@ -1388,7 +1388,7 @@ meteor_ioctl(struct dev_ioctl_args *ap)
 		if (mtr->signal) {
 		  mtr->proc = curproc;	/* might be NULL */
 		} else {
-		  mtr->proc = (struct proc *)0;
+		  mtr->proc = NULL;
 		}
 		break;
 	case METEORGSIGNAL:
diff --git a/sys/kern/kern_acct.c b/sys/kern/kern_acct.c
index dc3b4f1..14f9d36 100644
--- a/sys/kern/kern_acct.c
+++ b/sys/kern/kern_acct.c
@@ -261,7 +261,7 @@ acct_process(struct proc *p)
 	 */
 	return (vn_rdwr(UIO_WRITE, vp, (caddr_t)&acct, sizeof (acct),
 	    (off_t)0, UIO_SYSSPACE, IO_APPEND|IO_UNIT, p->p_ucred,
-	    (int *)0));
+	    NULL));
 }
 
 /*
diff --git a/sys/kern/kern_prot.c b/sys/kern/kern_prot.c
index 732659d..3589400 100644
--- a/sys/kern/kern_prot.c
+++ b/sys/kern/kern_prot.c
@@ -1126,7 +1126,7 @@ sys_setlogin(struct setlogin_args *uap)
 	if ((error = priv_check_cred(p->p_ucred, PRIV_ROOT, PRISON_ROOT)))
 		return (error);
 	error = copyinstr((caddr_t) uap->namebuf, (caddr_t) logintmp,
-	    sizeof(logintmp), (size_t *)0);
+	    sizeof(logintmp), NULL);
 	if (error == ENAMETOOLONG)
 		error = EINVAL;
 	else if (!error)
diff --git a/sys/kern/uipc_mbuf.c b/sys/kern/uipc_mbuf.c
index 02129a6..c07e82f 100644
--- a/sys/kern/uipc_mbuf.c
+++ b/sys/kern/uipc_mbuf.c
@@ -1375,7 +1375,7 @@ m_adj(struct mbuf *mp, int req_len)
 		count = 0;
 		for (;;) {
 			count += m->m_len;
-			if (m->m_next == (struct mbuf *)0)
+			if (m->m_next == NULL)
 				break;
 			m = m->m_next;
 		}
diff --git a/sys/kern/uipc_socket.c b/sys/kern/uipc_socket.c
index cd2d27c..76bfdc6 100644
--- a/sys/kern/uipc_socket.c
+++ b/sys/kern/uipc_socket.c
@@ -613,7 +613,7 @@ restart:
 				   top == NULL ? M_PKTHDR : 0, &mlen);
 			if (top == NULL) {
 				m->m_pkthdr.len = 0;
-				m->m_pkthdr.rcvif = (struct ifnet *)0;
+				m->m_pkthdr.rcvif = NULL;
 			}
 			len = min(min(mlen, resid), space);
 			if (resid < MINCLSIZE) {
diff --git a/sys/kern/uipc_socket2.c b/sys/kern/uipc_socket2.c
index adb6390..ac6c1e1 100644
--- a/sys/kern/uipc_socket2.c
+++ b/sys/kern/uipc_socket2.c
@@ -233,7 +233,7 @@ sonewconn(struct socket *head, int connstatus)
 	struct pru_attach_info ai;
 
 	if (head->so_qlen > 3 * head->so_qlimit / 2)
-		return ((struct socket *)0);
+		return (NULL);
 	so = soalloc(1);
 	if (so == NULL)
 		return (NULL);
@@ -254,7 +254,7 @@ sonewconn(struct socket *head, int connstatus)
 	    /* Directly call function since we're already at protocol level. */
 	    (*so->so_proto->pr_usrreqs->pru_attach)(so, 0, &ai)) {
 		sodealloc(so);
-		return ((struct socket *)0);
+		return (NULL);
 	}
 
 	if (connstatus) {
diff --git a/sys/kern/vfs_subr.c b/sys/kern/vfs_subr.c
index 5c31d01..de1c93a 100644
--- a/sys/kern/vfs_subr.c
+++ b/sys/kern/vfs_subr.c
@@ -1496,7 +1496,7 @@ db_show_locked_vnodes(struct mount *mp, void *data __unused)
 
 	TAILQ_FOREACH(vp, &mp->mnt_nvnodelist, v_nmntvnodes) {
 		if (vn_islocked(vp))
-			vprint((char *)0, vp);
+			vprint(NULL, vp);
 	}
 	return(0);
 }
@@ -1833,7 +1833,7 @@ vfs_setpublicfs(struct mount *mp, struct netexport *nep,
 		MALLOC(nfs_pub.np_index, char *, namelen, M_TEMP,
 		    M_WAITOK);
 		error = copyinstr(argp->ex_indexfile, nfs_pub.np_index,
-		    namelen, (size_t *)0);
+		    namelen, NULL);
 		if (!error) {
 			/*
 			 * Check for illegal filenames.
diff --git a/sys/libkern/divdi3.c b/sys/libkern/divdi3.c
index dd184d2..084d931 100644
--- a/sys/libkern/divdi3.c
+++ b/sys/libkern/divdi3.c
@@ -58,6 +58,6 @@ __divdi3(quad_t a, quad_t b)
 		ub = -(u_quad_t)b, neg ^= 1;
 	else
 		ub = b;
-	uq = __qdivrem(ua, ub, (u_quad_t *)0);
+	uq = __qdivrem(ua, ub, NULL);
 	return (neg ? -uq : uq);
 }
diff --git a/sys/libkern/udivdi3.c b/sys/libkern/udivdi3.c
index 68b1387..e69be04 100644
--- a/sys/libkern/udivdi3.c
+++ b/sys/libkern/udivdi3.c
@@ -47,5 +47,5 @@ u_quad_t
 __udivdi3(u_quad_t a, u_quad_t b)
 {
 
-	return (__qdivrem(a, b, (u_quad_t *)0));
+	return (__qdivrem(a, b, NULL));
 }
diff --git a/sys/net/i4b/driver/i4b_ing.c b/sys/net/i4b/driver/i4b_ing.c
index beac90a..e0f434a 100644
--- a/sys/net/i4b/driver/i4b_ing.c
+++ b/sys/net/i4b/driver/i4b_ing.c
@@ -32,7 +32,7 @@
  *
  *	last edit-date: [Tue Jan  1 10:43:58 2002]
  *
- *---------------------------------------------------------------------------*/ 
+ *---------------------------------------------------------------------------*/
 
 #include "use_i4bing.h"
 
@@ -84,7 +84,7 @@ struct ing_softc {
 	struct ifqueue  sc_fastq;	/* interactive traffic		*/
 	int		sc_dialresp;	/* dialresponse			*/
 	int		sc_lastdialresp;/* last dialresponse		*/
-	
+
 #if I4BINGACCT
 	struct callout	sc_timeout;
 	int		sc_iinb;	/* isdn driver # of inbytes	*/
@@ -94,18 +94,18 @@ struct ing_softc {
 	int		sc_linb;	/* last # of bytes rx'd		*/
 	int		sc_loutb;	/* last # of bytes tx'd 	*/
 	int		sc_fn;		/* flag, first null acct	*/
-#endif	
+#endif
 
 	int		sc_inpkt;	/* incoming packets		*/
-	int		sc_outpkt;	/* outgoing packets		*/	
+	int		sc_outpkt;	/* outgoing packets		*/
 
 	struct ifqueue  xmitq_hipri;    /* hi-priority transmit queue */
 	struct ifqueue  xmitq;	  /* transmit queue */
-		
+
 	node_p		node;		/* back pointer to node */
 	char		nodename[NG_NODESIZ]; /* store our node name */
 	hook_p  	debughook;
-	hook_p  	hook;	
+	hook_p  	hook;
 
 	u_int   	packets_in;	/* packets in from downstream */
 	u_int   	packets_out;	/* packets out towards downstream */
@@ -237,19 +237,19 @@ i4bingattach(void *dummy)
 	int ret;
 
 	kprintf("i4bing: %d i4b NetGraph ISDN B-channel device(s) attached\n", NI4BING);
-	
+
 	for(i=0; i < NI4BING; sc++, i++)
 	{
 		sc->sc_unit = i;
-		
+
 		ing_init_linktab(i);
 
 		NDBGL4(L4_DIALST, "setting dial state to ST_IDLE");
 
 		sc->sc_state = ST_IDLE;
-		
+
 		sc->sc_fastq.ifq_maxlen = I4BINGMAXQLEN;
-		
+
 #if I4BINGACCT
 		callout_init(&sc->sc_timeout);
 		sc->sc_iinb = 0;
@@ -262,13 +262,13 @@ i4bingattach(void *dummy)
 #endif
 
 		sc->sc_inpkt = 0;
-		sc->sc_outpkt = 0;		
+		sc->sc_outpkt = 0;
 
 		sc->sc_updown = SOFT_ENA;	/* soft enabled */
 
 		sc->sc_dialresp = DSTAT_NONE;	/* no response */
 		sc->sc_lastdialresp = DSTAT_NONE;
-		
+
 		/* setup a netgraph node */
 
 		if ((ret = ng_make_node_common(&typestruct, &sc->node)))
@@ -280,7 +280,7 @@ i4bingattach(void *dummy)
 
 		sc->xmitq.ifq_maxlen = IFQ_MAXLEN;
 		sc->xmitq_hipri.ifq_maxlen = IFQ_MAXLEN;
-				
+
 		/* name the netgraph node */
 
 		ksprintf(sc->nodename, "%s%d", NG_ING_NODE_TYPE, sc->sc_unit);
@@ -303,15 +303,15 @@ ing_timeout(struct ing_softc *sc)
 	bchan_statistics_t bs;
 	int unit = sc->sc_unit;
 
-	/* get # of bytes in and out from the HSCX driver */ 
-	
+	/* get # of bytes in and out from the HSCX driver */
+
 	(*isdn_linktab[unit]->bch_stat)
 		(isdn_linktab[unit]->unit, isdn_linktab[unit]->channel, &bs);
 
 	sc->sc_ioutb += bs.outbytes;
 	sc->sc_iinb += bs.inbytes;
-	
-	if((sc->sc_iinb != sc->sc_linb) || (sc->sc_ioutb != sc->sc_loutb) || sc->sc_fn) 
+
+	if((sc->sc_iinb != sc->sc_linb) || (sc->sc_ioutb != sc->sc_loutb) || sc->sc_fn)
 	{
 		int ri = (sc->sc_iinb - sc->sc_linb)/I4BINGACCTINTVL;
 		int ro = (sc->sc_ioutb - sc->sc_loutb)/I4BINGACCTINTVL;
@@ -320,7 +320,7 @@ ing_timeout(struct ing_softc *sc)
 			sc->sc_fn = 0;
 		else
 			sc->sc_fn = 1;
-			
+
 		sc->sc_linb = sc->sc_iinb;
 		sc->sc_loutb = sc->sc_ioutb;
 
@@ -342,7 +342,7 @@ ingclearqueue(struct ifqueue *iq)
 {
 	int x;
 	struct mbuf *m;
-	
+
 	for(;;)
 	{
 		crit_enter();
@@ -354,7 +354,7 @@ ingclearqueue(struct ifqueue *iq)
 		else
 			break;
 	}
-}	
+}
 #endif
 
 /*===========================================================================*
@@ -376,8 +376,8 @@ ing_connect(int unit, void *cdp)
 	NDBGL4(L4_DIALST, "ing%d: setting dial state to ST_CONNECTED", unit);
 
 	sc->sc_dialresp = DSTAT_NONE;
-	sc->sc_lastdialresp = DSTAT_NONE;	
-	
+	sc->sc_lastdialresp = DSTAT_NONE;
+
 #if I4BINGACCT
 	sc->sc_iinb = 0;
 	sc->sc_ioutb = 0;
@@ -390,10 +390,10 @@ ing_connect(int unit, void *cdp)
 #endif
 
 	sc->sc_state = ST_CONNECTED;
-	
+
 	crit_exit();
 }
-	
+
 /*---------------------------------------------------------------------------*
  *	this routine is called from L4 handler at disconnect time
  *---------------------------------------------------------------------------*/
@@ -418,13 +418,13 @@ ing_disconnect(int unit, void *cdp)
 
 	i4b_l4_accounting(BDRV_ING, cd->driver_unit, ACCT_FINAL,
 		 sc->sc_ioutb, sc->sc_iinb, 0, 0, sc->sc_outb, sc->sc_inb);
-	
-	sc->sc_cdp = (call_desc_t *)0;	
+
+	sc->sc_cdp = NULL;
 
 	NDBGL4(L4_DIALST, "setting dial state to ST_IDLE");
 
 	sc->sc_dialresp = DSTAT_NONE;
-	sc->sc_lastdialresp = DSTAT_NONE;	
+	sc->sc_lastdialresp = DSTAT_NONE;
 
 	sc->sc_state = ST_IDLE;
 }
@@ -448,7 +448,7 @@ ing_dialresponse(int unit, int status, cause_t cause)
 /*		ingclearqueues(sc); */
 	}
 }
-	
+
 /*---------------------------------------------------------------------------*
  *	interface soft up/down
  *---------------------------------------------------------------------------*/
@@ -458,7 +458,7 @@ ing_updown(int unit, int updown)
 	struct ing_softc *sc = &ing_softc[unit];
 	sc->sc_updown = updown;
 }
-	
+
 /*---------------------------------------------------------------------------*
  *	this routine is called from the HSCX interrupt handler
  *	when a new frame (mbuf) has been received and was put on
@@ -470,7 +470,7 @@ ing_rx_data_rdy(int unit)
 {
 	struct ing_softc *sc = &ing_softc[unit];
 	struct mbuf *m;
-	
+
 	if((m = *isdn_linktab[unit]->rx_mbuf) == NULL)
 		return;
 
@@ -481,7 +481,7 @@ ing_rx_data_rdy(int unit)
 	m->m_pkthdr.rcvif = NULL;
 
 	sc->sc_inpkt++;
-	
+
 	ng_queue_data(sc->hook, m, NULL);
 }
 
@@ -499,7 +499,7 @@ ing_tx_queue_empty(int unit)
 
 	if(sc->sc_state != ST_CONNECTED)
 		return;
-		
+
 	for(;;)
 	{
 		IF_DEQUEUE(&sc->xmitq_hipri, m);
@@ -510,7 +510,7 @@ ing_tx_queue_empty(int unit)
 			if(m == NULL)
 				break;
 		}
-	
+
 #if I4BINGACCT
 		sc->sc_outb += m->m_pkthdr.len;
 #endif
@@ -574,7 +574,7 @@ ing_init_linktab(int unit)
 	ing_drvr_linktab[unit].line_connected = ing_connect;
 	ing_drvr_linktab[unit].line_disconnected = ing_disconnect;
 	ing_drvr_linktab[unit].dial_response = ing_dialresponse;
-	ing_drvr_linktab[unit].updown_ind = ing_updown;	
+	ing_drvr_linktab[unit].updown_ind = ing_updown;
 }
 
 /*===========================================================================*
@@ -649,7 +649,7 @@ ng_ing_rcvmsg(node_p node, struct ng_mesg *msg, const char *retaddr,
 				char *p;
 				int pos = 0;
 
-				NG_MKRESPONSE(resp, msg, 
+				NG_MKRESPONSE(resp, msg,
 				    sizeof(struct ng_mesg) + NG_TEXTRESPONSE,
 				    M_INTWAIT | M_NULLOK);
 
@@ -679,7 +679,7 @@ ng_ing_rcvmsg(node_p node, struct ng_mesg *msg, const char *retaddr,
 				pos = ksprintf(arg, "state = %s (%d)\n", p, sc->sc_state);
 #if I4BINGACCT
 				pos += ksprintf(arg + pos, "%d bytes in, %d bytes out\n", sc->sc_inb, sc->sc_outb);
-#endif			    
+#endif
 				pos += ksprintf(arg + pos, "%d pkts in, %d pkts out\n", sc->sc_inpkt, sc->sc_outpkt);
 
 				resp->header.arglen = pos + 1;
@@ -699,7 +699,7 @@ ng_ing_rcvmsg(node_p node, struct ng_mesg *msg, const char *retaddr,
 			{
 				struct ngingstat *stats;
 
-				NG_MKRESPONSE(resp, msg, sizeof(*stats), 
+				NG_MKRESPONSE(resp, msg, sizeof(*stats),
 				    M_INTWAIT | M_NULLOK);
 
 				if (!resp)
@@ -754,13 +754,13 @@ ng_ing_rcvdata(hook_p hook, struct mbuf *m, meta_p meta)
 {
 	struct ing_softc *sc = hook->node->private;
 	struct ifqueue  *xmitq_p;
-	
+
 	if(hook->private == NULL)
 	{
 		NG_FREE_DATA(m, meta);
 		return(ENETDOWN);
 	}
-	
+
 	if(sc->sc_state == ST_IDLE || sc->sc_state == ST_DIALING)
 	{
 		i4b_l4_dialout(BDRV_ING, sc->sc_unit);
@@ -768,7 +768,7 @@ ng_ing_rcvdata(hook_p hook, struct mbuf *m, meta_p meta)
 	}
 
 	sc->sc_outpkt++;
-	
+
        /*
 	* Now queue the data for when it can be sent
 	*/
@@ -839,7 +839,7 @@ static int
 ng_ing_disconnect(hook_p hook)
 {
 	struct ing_softc *sc = hook->node->private;
-	
+
 	if(hook->private == NULL) {
 		sc->debughook = NULL;
 	}
